OracleSqlUtil::OracleIndex Class Reference

represents an Oracle index More...

Inherits AbstractIndex.

## Public Member Functions

| constructor (string n, bool u, hash c, string nt, *string t)
| creates the object from the arguments
bool | equalImpl (AbstractIndex ix)
| returns True if the argument is equal to the current index, False if not
string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the index in the database
string | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the index in the database

## Public Attributes

string | native_type
| the native type of the index (if supported)
*string | tablespace
| the tablespace name of the index (if supported)

## Detailed Description

represents an Oracle index